Package org.eclipse.gef.mvc.fx.parts

# Class SelectionFeedbackPart

java.lang.Object
org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
org.eclipse.gef.mvc.fx.parts.AbstractFeedbackPart<GeometryNode<IGeometry>>
org.eclipse.gef.mvc.fx.parts.SelectionFeedbackPart

All Implemented Interfaces:
  `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IFeedbackPart<GeometryNode<IGeometry>>`, `IVisualPart<GeometryNode<IGeometry>>`

Direct Known Subclasses:
  `SelectionLinkFeedbackPart`

public class SelectionFeedbackPart extends AbstractFeedbackPart<GeometryNode<IGeometry>>
The `SelectionFeedbackPart` is an `AbstractFeedbackPart` that is parameterized by `GeometryNode<IGeometry>`.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final double`
`DEFAULT_STROKE_WIDTH`
The stroke width for selection feedback.

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`SelectionFeedbackPart()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`protected GeometryNode<IGeometry>`
`doCreateVisual()`
Creates this part's visual.
`void`
`doRefreshVisual(GeometryNode<IGeometry> visual)`
Refreshes this part's visualization based on this part's content.
`protected IGeometry`
`getFeedbackGeometry()`
Returns the `IGeometry` that is provided by this part's `feedback geometry provider`.
`protected javafx.scene.paint.Color`
`getPrimarySelectionColor()`
Returns the primary selection `Color`.
`protected javafx.scene.paint.Color`
`getSecondarySelectionColor()`
Returns the primary selection `Color`.
`void`
`setGeometryProvider(Provider<? extends IGeometry> geometryProvider)`
Sets the feedback geometry provider ( `Provider<IGeometry>`) of this part to the given value.

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractFeedbackPart

`doAddChildVisual, doAttachToAnchorageVisual, doDetachFromAnchorageVisual, doRemoveChildVisual`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doActivate, doDeactivate, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, register, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregister, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

## Field Details

### DEFAULT_STROKE_WIDTH

protected static final double DEFAULT_STROKE_WIDTH
The stroke width for selection feedback.

See Also:
  - Constant Field Values

## Constructor Details

### SelectionFeedbackPart

public SelectionFeedbackPart()
Default constructor.

## Method Details

### doCreateVisual

protected GeometryNode<IGeometry> doCreateVisual()
Description copied from class: `AbstractVisualPart`
Creates this part's visual.

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<GeometryNode<IGeometry>>`
Returns:
  This part's visual.

### doRefreshVisual

public void doRefreshVisual(GeometryNode<IGeometry> visual)
Description copied from class: `AbstractVisualPart`
Refreshes this part's visualization based on this part's content.

Specified by:
  `doRefreshVisual` in class `AbstractVisualPart<GeometryNode<IGeometry>>`
Parameters:
  `visual` - This part's visual.

### getFeedbackGeometry

protected IGeometry getFeedbackGeometry()
Returns the `IGeometry` that is provided by this part's `feedback geometry provider`.

Returns:
  The `IGeometry` that is provided by this part's `feedback geometry provider` .

### getPrimarySelectionColor

protected javafx.scene.paint.Color getPrimarySelectionColor()
Returns the primary selection `Color`.

Returns:
  The primary selection `Color`.

### getSecondarySelectionColor

protected javafx.scene.paint.Color getSecondarySelectionColor()
Returns the primary selection `Color`.

Returns:
  The primary selection `Color`.

### setGeometryProvider

public void setGeometryProvider(Provider<? extends IGeometry> geometryProvider)
Sets the feedback geometry provider ( `Provider<IGeometry>`) of this part to the given value.

Parameters:
  `geometryProvider` - The new feedback geometry provider for this part.